<nav class="navbar navbar-expand-lg navbar-dark bg-secondary">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="nav navbar-nav mr-auto">
            <li class="nav-item ml-5">
                <a class="nav-link" href="/">Home</a>
            </li>
        </ul>

        <ul class="nav navbar-nav mr-5">
            {% if not is_auth() %}
            <li class="nav-item">
                <a class="nav-link" href="{{ path_for('login.get') }}">Login</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{ path_for('register.get') }}">Register</a>
            </li>
            {% else %}
            <li class="nav-item active dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    {{ username }}
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    {% if is_admin() %}
                        <a class="dropdown-item" href="{{ path_for('admin') }}">Admin</a>
                        <div class="dropdown-divider"></div>
                    {% endif %}
                    <a class="dropdown-item" href="{{ path_for('profile') }}">Profile</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="{{ path_for('logout') }}">Log out</a>
                </div>
            </li>
            {% endif %}
        </ul>
    </div>
</nav>